Subject: [mpls] Comment on draft-ietf-mpls-psc-updates-00

From: "Ryoo, Jeong-dong" <[email-masked]>
Date: Mon, 6 Jan 2014 05:41:28 +0000

Eric,

In Section 4  of draft-ietf-mpls-psc-updates-00, I noticed that the example that cannot exist in general is being used.

Local LO and remote FS cannot exist since the higher priority LO request will cancel the FS command.
Of course, when two different commands are issued simultaneously at both nodes, LO and FS can coexist for a very short period of time.
But, as soon as the first LO message arrives at local node that has local FS input, the low priority local FS command will be cancelled.
See Section 4.3.3.3 (Protecting Administrative State) in RFC 6378:
"A remote Lockout of protection message SHALL cause the LER to go
into remote Unavailable state and begin transmitting an NR(0,0)
message. It should be noted that this automatically cancels the
current Forced Switch or Manual Switch command and data traffic is
reverted to the working path."
I would suggest to use SF-W instead of FS.

Another thing is that I wonder if you can also change "capabilities mismatch" to "provisoning mismatch" in the document.

Best regards,

Jeong-dong